Subject: bug#2408 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; Flyspell: escape-ing from the menu causes a "yank" action)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 21 Feb 2009 18:00:03 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2408: 23.0.60; Flyspell: escape-ing from the menu causes a "yank" action

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
2408: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2408
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.60; Flyspell: escape-ing from the menu causes a "yank" action
From: Chong Yidong <[email-masked]>
To: Matthieu Moy <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Feb 2009 12:53:58 -0500

> When using Flyspell, I often middle-click on an incorrect word with
> the mouse, get a menu, and later realize I didn't want to correct the
> word with the menu.
>
> I'd expect pressing the ESC key to close the menu, and cancel the
> action. It actually closes the menu, but releasing the button still
> triggers a yank (as does a middle-click without flyspell).

I've checked in a fix.  Thanks for the bug report.

Subject: 23.0.60; Flyspell: escape-ing from the menu causes a "yank" action
From: Matthieu Moy <[email-masked]>
To: [email-masked]
Date: Fri, 20 Feb 2009 13:57:58 +0100

Hi,

When using Flyspell, I often middle-click on an incorrect word with
the mouse, get a menu, and later realize I didn't want to correct the
word with the menu.

I'd expect pressing the ESC key to close the menu, and cancel the
action. It actually closes the menu, but releasing the button still
triggers a yank (as does a middle-click without flyspell).

Not very serious since moving the mouse outside the menu and releasing
the button works, but ...

Thanks,

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/moy/local/usr/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.8.20)
 of 2008-09-10 on bauges
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
configured using `configure  '--with-x-toolkit=gtk' '--prefix=/home/moy/local/usr/''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: LaTeX

Minor modes in effect:
  flyspell-mode: t
  reftex-mode: t
  outline-minor-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  erc-track-mode: t
  recentf-mode: t
  global-whitespace-mode: t
  global-hl-line-mode: t
  icomplete-mode: t
  auto-image-file-mode: t
  which-function-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Recent input:
e r n i e r , SPC l e SPC t a r v a <backspace> <backspace> 
<backspace> <backspace> r a v a i l SPC r e s t e SPC 
t o u t SPC à SPC f a i t SPC a c c e p t a b l e . 
SPC <backspace> <return> <return> <tab> E n SPC c o 
n c l u s i o n , SPC j e SPC r e c o m m a n d e SPC 
s a SPC c a n d i d a t u r e SPC <backspace> , SPC 
j e SPC s u i s SPC c o n v a i n c u SPC q u ' u n 
e SPC n <backspace> t r o i s i è m e SPC a n n é e 
SPC a u SPC Q u e b e c SPC s <backspace> l u i SPC 
s e r a SPC t r a è <backspace> <backspace> è s SPC 
p r o f i t a b l e . C-n C-n C-x C-s <M-f11> m a k 
e <return> <return> p d f l a t <tab> SPC r e c <tab> 
<return> <up> <return> x p d f SPC <tab> <return> <C-tab> 
<C-tab> M-> C-p C-p C-p C-p C-e <left> <M-backspace> 
f r a n c a i s C-x C-s M-x m o y - c l o s <tab> <return> 
<down-mouse-4> <mouse-4> <double-down-mouse-4> <double-mouse-4> 
<triple-down-mouse-4> <triple-mouse-4> <down-mouse-5> 
<mouse-5> M-x f l y s <tab> b u <tab> <return> <help-echo> 
<down-mouse-2> <help-echo> <down-mouse-2> <drag-mouse-2> 
C-_ M-x r e p o r c t <tab> <backspace> <backspace> 
t - e m <tab> b u <tab> <return>

Recent messages:
Wrote /home/moy/enseignements/current/etudiants/lamranih/recommandation.tex
lambda
Ispell process killed
Starting new Ispell process [francais] ...
Applying style hooks... done
Checking region...
Spell Checking...100% [LocalWords]
Spell Checking completed.
Mark set
Undo!

-- 
Matthieu